Loading...
Searching...
No Matches
svn_fs_path_change3_t Struct Reference
Filesystem interaction subsystem » Filesystem directories

Change descriptor. More...

`#include <svn_fs.h>`

## Data Fields

svn_string_t | path
| path of the node that got changed.
svn_fs_path_change_kind_t | change_kind
| kind of change
svn_node_kind_t | node_kind
| what node kind is the path?
svn_boolean_t | text_mod
| was the text touched?
svn_boolean_t | prop_mod
| were the properties touched?
svn_tristate_t | mergeinfo_mod
| was the mergeinfo property touched?
svn_boolean_t | copyfrom_known
| Copyfrom revision and path; this is only valid if copyfrom_known is true.
svn_revnum_t | copyfrom_rev
const char * | copyfrom_path

## Detailed Description

Change descriptor.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.
  The `text_mod`, `prop_mod` and `mergeinfo_mod` flags mean the text, properties and mergeinfo property (respectively) were "touched" by the commit API; this does not mean the new value is different from the old value.

Since
  New in 1.10.

Definition at line 1511 of file svn_fs.h.

## Field Documentation

## change_kind

svn_fs_path_change_kind_t svn_fs_path_change3_t::change_kind

kind of change

Definition at line 1517 of file svn_fs.h.

## copyfrom_known

svn_boolean_t svn_fs_path_change3_t::copyfrom_known

Copyfrom revision and path; this is only valid if copyfrom_known is true.

Definition at line 1554 of file svn_fs.h.

## copyfrom_path

const char* svn_fs_path_change3_t::copyfrom_path

Definition at line 1556 of file svn_fs.h.

## copyfrom_rev

svn_revnum_t svn_fs_path_change3_t::copyfrom_rev

Definition at line 1555 of file svn_fs.h.

## mergeinfo_mod

svn_tristate_t svn_fs_path_change3_t::mergeinfo_mod

was the mergeinfo property touched?

modify: } true iff svn:mergeinfo property add/del/mod add (copy): } and fs format supports this flag. add (plain): } delete: always false. replace: as for the add/copy part of the replacement. (Note: Pre-1.9 repositories will report svn_tristate_unknown.)

Definition at line 1550 of file svn_fs.h.

## node_kind

svn_node_kind_t svn_fs_path_change3_t::node_kind

what node kind is the path?

(Note: it is legal for this to be svn_node_unknown.)

Definition at line 1521 of file svn_fs.h.

## path

svn_string_t svn_fs_path_change3_t::path

path of the node that got changed.

Definition at line 1514 of file svn_fs.h.

## prop_mod

svn_boolean_t svn_fs_path_change3_t::prop_mod

were the properties touched?

modify: true iff props touched. add (copy): true iff props touched. add (plain): true iff props touched. delete: always false. replace: as for the add/copy part of the replacement.

Definition at line 1540 of file svn_fs.h.

## text_mod

svn_boolean_t svn_fs_path_change3_t::text_mod

was the text touched?

For node_kind=dir: always false. For node_kind=file: modify: true iff text touched. add (copy): true iff text touched. add (plain): always true. delete: always false. replace: as for the add/copy part of the replacement.

Definition at line 1531 of file svn_fs.h.

The documentation for this struct was generated from the following file:

- svn_fs.h